API Reference for Marketo Engage

Update Email Dynamic Content Section

POST /rest/asset/v1/email/{id}/dynamicContent/{contentId}.json

Updates dynamic content in the given section.

Operation ID
updateEmailDynamicContentUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfIdResponse

Parameters

Path 2

id integer (int32) required

Id of email

contentId string required

Id of email dynamic content section

Request body

application/x-www-form-urlencoded · required · UpdateEmailDynamicContentRequest · 11 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

altText string

Sets the value of the alt parameter for the resulting img element

externalUrl string
height integer (int32)

Overrides naitve height of the image. The resulting file will be resized to the given height

image string

Multipart file that allows you to add an image from your computer

linkUrl string
overWrite boolean

Allows overwriting of the existing image content section

style string

Sets the value of the style parameter for the content section

type string required

Type of content to set for the section.

Values Text DynamicContent Snippet

value string required

Value to set for the section. For type Text, the HTML content of the section. For type DynamicContent, the id of the segmentation to use for the content. For type Snippet, the id of the snippet to embed

videoUrl string

Sets the Url of the video element. Videos must be either from YouTube or Vimeo

width integer (int32)

Overrides native width of the image. The resulting file will be resized to the given width

Responses

200 OK ResponseOfIdResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of IdResponse

Model IdResponse

id integer (int32) required

Id of the asset

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results